<mat-card class="example-card" *ngIf="account">
  <mat-card-actions>
    <button class="back-button" mat-raised-button color="primary" (click)="goBack()">Back</button>
  </mat-card-actions>
  <mat-card-header>
    <h3>Details</h3>
  </mat-card-header>
  <mat-card-content class="card-content">
    <p><strong>Account number:</strong> {{account.account}} </p>
    <p><strong>Amount:</strong> {{account.amount}}</p>
    <p><strong>interest:</strong> {{account.interest}}</p>
  </mat-card-content>
</mat-card>